Last Comment Bug 725357 - IonMonkey: Don't call TypeScript::Monitor from the GetElement stub
: IonMonkey: Don't call TypeScript::Monitor from the GetElement stub
Status: RESOLVED FIXED
[Leave open after merge]
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla13
Assigned To: Jan de Mooij [:jandem]
:
: Jason Orendorff [:jorendorff]
Mentors:
: 728187 729789 729802 (view as bug list)
Depends on:
Blocks: IonSpeed
  Show dependency treegraph
 
Reported: 2012-02-08 08:22 PST by Jan de Mooij [:jandem]
Modified: 2012-02-23 00:08 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch (5.11 KB, patch)
2012-02-08 08:22 PST, Jan de Mooij [:jandem]
no flags Details | Diff | Splinter Review
Patch (20.04 KB, patch)
2012-02-08 13:13 PST, Jan de Mooij [:jandem]
no flags Details | Diff | Splinter Review
Patch (22.49 KB, patch)
2012-02-18 12:14 PST, Jan de Mooij [:jandem]
dvander: review+
Details | Diff | Splinter Review

Description Jan de Mooij [:jandem] 2012-02-08 08:22:02 PST
Created attachment 595418 [details] [diff] [review]
Patch

I think you suggested this a while ago and this is a nice speedup, also because getting the script and pc is more expensive for Ion frames.
Comment 1 Jan de Mooij [:jandem] 2012-02-08 08:40:17 PST
Comment on attachment 595418 [details] [diff] [review]
Patch

Brian says we need to emit code after the GetElement call to handle the monitoring, since barriers don't handle this. I somehow missed the code for this in JM (testPushedType)..
Comment 2 Jan de Mooij [:jandem] 2012-02-08 13:13:29 PST
Created attachment 595503 [details] [diff] [review]
Patch
Comment 3 Jan de Mooij [:jandem] 2012-02-18 12:08:59 PST
*** Bug 728187 has been marked as a duplicate of this bug. ***
Comment 4 Jan de Mooij [:jandem] 2012-02-18 12:14:53 PST
Created attachment 598566 [details] [diff] [review]
Patch

A bit cleaner than the previous patch and now also checks the result of the GETPROP/NAME VM calls (fixes bug 728187 and tons of inference failures caught by the fuzzers).

I can land the jsinterp* changes on inbound first.
Comment 5 Nicolas B. Pierron [:nbp] 2012-02-21 16:53:54 PST
*** Bug 728045 has been marked as a duplicate of this bug. ***
Comment 6 Jan de Mooij [:jandem] 2012-02-22 01:03:05 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/b712e681cc8c

Please don't close this bug when merging to m-c.
Comment 7 Ed Morley [:emorley] 2012-02-22 16:00:58 PST
https://hg.mozilla.org/mozilla-central/rev/b712e681cc8c
Comment 8 Jan de Mooij [:jandem] 2012-02-22 23:54:48 PST
https://hg.mozilla.org/projects/ionmonkey/rev/eef8527f7ef1
Comment 9 Jan de Mooij [:jandem] 2012-02-23 00:05:31 PST
*** Bug 729789 has been marked as a duplicate of this bug. ***
Comment 10 Jan de Mooij [:jandem] 2012-02-23 00:08:54 PST
*** Bug 729802 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.